groovy.util

## Interface ResourceConnector

- All Known Implementing Classes:
    AbstractHttpServlet, GroovyScriptEngine, GroovyServlet, TemplateServlet

      public interface ResourceConnector

  Base interface for customizing where resources can be found for the `GroovyScriptEngine`.
  Author:
    sam

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `URLConnection` | `getResourceConnection(String name)` Retrieve a URLConnection to a script referenced by name.

- - ### Method Detail

    - #### getResourceConnection

          URLConnection getResourceConnection(String name)
                                              throws ResourceException

      Retrieve a URLConnection to a script referenced by name.
      Parameters:
        `name` -
      Throws:
        `ResourceException`